<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/LGreenBox.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/widgets/Openads.inc.php" );

	class Banners extends LGreenBox {
		protected $oAdserver14;
		protected $oAdserver15;
		protected $oAdserver16;
		protected $oAdserver17;
		protected $oAdserver18;
		protected $oAdserver19;
		protected $oAdserver20;
		protected $oAdserver161;

		public function __construct( $id = "Banners" , $parent = null ) {
			parent::__construct( $id , $parent );
			$this->setJustContent( true );
			switch ($GLOBALS["language"]) {
			case "hu":
				$this->oAdserver14 = new Openads( "adserver_14" , $this , 14 );
				$this->oAdserver15 = new Openads( "adserver_15" , $this , 15 );
				$this->oAdserver16 = new Openads( "adserver_16" , $this , 16 );
				$this->oAdserver17 = new Openads( "adserver_17" , $this , 17 );
				$this->oAdserver18 = new Openads( "adserver_18" , $this , 18 );
				$this->oAdserver19 = new Openads( "adserver_19" , $this , 19 );
				$this->oAdserver20 = new Openads( "adserver_20" , $this , 20 );
				$this->oAdserver161 = new Openads( "adserver_161" , $this , 161 );
				break;
			case "en":
				$this->oAdserver14 = new Openads( "adserver_14" , $this , 39 );
				$this->oAdserver15 = new Openads( "adserver_15" , $this , 40 );
				$this->oAdserver16 = new Openads( "adserver_16" , $this , 41 );
				$this->oAdserver17 = new Openads( "adserver_17" , $this , 42 );
				$this->oAdserver18 = new Openads( "adserver_18" , $this , 43 );
				$this->oAdserver19 = new Openads( "adserver_19" , $this , 44 );
				$this->oAdserver20 = new Openads( "adserver_20" , $this , 45 );
				$this->oAdserver161 = new Openads( "adserver_161" , $this , 166 );
				break;
			case "de":
				$this->oAdserver14 = new Openads( "adserver_14" , $this , 172 );
				$this->oAdserver15 = new Openads( "adserver_15" , $this , 173 );
				$this->oAdserver16 = new Openads( "adserver_16" , $this , 174 );
				$this->oAdserver17 = new Openads( "adserver_17" , $this , 175 );
				$this->oAdserver18 = new Openads( "adserver_18" , $this , 176 );
				$this->oAdserver19 = new Openads( "adserver_19" , $this , 177 );
				$this->oAdserver20 = new Openads( "adserver_20" , $this , 178 );
				$this->oAdserver161 = new Openads( "adserver_161" , $this , 179 );
				break;
			}
		}
	}

?>
